package servlet;

public class SurveyResult {
    private String respName;
    private String projectName;
    private String projectDesc;
    private int[] data;

    public SurveyResult(String respName, String projectName, String projectDesc, int[] data) {
        this.respName = respName;
        this.projectName = projectName;
        this.projectDesc = projectDesc;
        this.data = data;
    }

    public String getName() {
        return respName;
    }

    public String getProjectName() {
        return projectName;
    }

    public String getProjectDesc() {
        return projectDesc;
    }

    public int[] getData() {
        return data;
    }

    public String toString() {
        return String.format("Name: %s, Project: %s, Project Description: %s, Data: %d, %d, %d, %d", respName,
                projectName, projectDesc, data[0], data[1], data[2], data[3]);
    }
}
